BeanDocumentFactory (dom4j 1.6.1 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.dom4j.bean
Class BeanDocumentFactory

    java.lang.Object
      org.dom4j.DocumentFactory
          org.dom4j.bean.BeanDocumentFactory

All Implemented Interfaces:
  Serializable

public class BeanDocumentFactory
extends DocumentFactory

`BeanDocumentFactory` is a factory of DOM4J objects which may be BeanElements which are backed by JavaBeans and their properties.

The tree built allows full XPath expressions from anywhere on the tree.

Version:
  $Revision: 1.14 $
Author:
  James Strachan
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.dom4j.DocumentFactory
`cache`

Constructor Summary
`BeanDocumentFactory()`

Method Summary
`Attribute` | `createAttribute(Element owner, QName qname, String value)`
`protected Object` | `createBean(QName qname)`
`protected Object` | `createBean(QName qname, Attributes attributes)`
`Element` | `createElement(QName qname)`
`Element` | `createElement(QName qname, Attributes attributes)`
`static DocumentFactory` | `getInstance()` Access to the singleton instance of this factory.
`protected void` | `handleException(Exception e)`

Methods inherited from class org.dom4j.DocumentFactory
`createAttribute, createCDATA, createComment, createDocType, createDocument, createDocument, createDocument, createElement, createElement, createEntity, createNamespace, createPattern, createProcessingInstruction, createProcessingInstruction, createQName, createQName, createQName, createQName, createQNameCache, createSingleton, createText, createXPath, createXPath, createXPathFilter, createXPathFilter, getQNames, getXPathNamespaceURIs, init, intern, setXPathNamespaceURIs`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BeanDocumentFactory

    public BeanDocumentFactory()

Method Detail

### getInstance

    public static DocumentFactory getInstance()

  Access to the singleton instance of this factory.

  Returns:
    the default singleon instance

### createElement

    public Element createElement(QName qname)

  Overrides:
    `createElement` in class `DocumentFactory`

### createElement

    public Element createElement(QName qname,
                                 Attributes attributes)

### createAttribute

    public Attribute createAttribute(Element owner,
                                     QName qname,
                                     String value)

  Overrides:
    `createAttribute` in class `DocumentFactory`

### createBean

    protected Object createBean(QName qname)

### createBean

    protected Object createBean(QName qname,
                                Attributes attributes)

### handleException

    protected void handleException(Exception e)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 MetaStuff Ltd.. All Rights Reserved.